<?php
/*
 * Plugin Name: ConcoursPhoto
 * Version: 2.9.0b
 * Description: Concours de photo paramétrable
 * Plugin URI: http://piwigo.org/ext/extension_view.php?eid=323
 * Author: Tiico
 * Author URI: 
 * */
/********* Fichier main.inc.php  *********/

/* See CHANGELOG for release informations */

 
if (!defined('PHPWG_ROOT_PATH'))  die('Hacking attempt!');

global $prefixeTable;

define('CONCOURS_VERSION', '2.9.0b [BETA]');       // 


define('CONCOURS_NAME', 'Concours Photo');
define('CONCOURS_ROOT', dirname(__FILE__));
define('CONCOURS_DIR' , basename(dirname(__FILE__)));
define('CONCOURS_CFG_FILE' , CONCOURS_ROOT.'/'.CONCOURS_DIR.'.dat');
define('CONCOURS_CFG_FILE1' , PHPWG_PLUGINS_PATH.CONCOURS_DIR.'.dat');
define('CONCOURS_CFG_DB' , CONCOURS_DIR);
define('CONCOURS_PATH' , PHPWG_PLUGINS_PATH . CONCOURS_DIR . '/');
define('CONCOURS_INC_PATH' , PHPWG_PLUGINS_PATH . CONCOURS_DIR . '/include/');
define('CONCOURS_IMG_PATH' , PHPWG_PLUGINS_PATH . CONCOURS_DIR . '/img/');
define('CONCOURS_ADMIN_PATH' , PHPWG_PLUGINS_PATH . CONCOURS_DIR . '/admin/');
define('CONCOURS_RESULT_FOLDER' , PHPWG_PLUGINS_PATH . CONCOURS_DIR . '/result/');


define('CONCOURS_TABLE' , $prefixeTable . 'concours');
define('CONCOURS_DETAIL_TABLE' , $prefixeTable . 'concours_detail');
define('CONCOURS_DATA_TABLE' , $prefixeTable . 'concours_data');
define('CONCOURS_RESULT_TABLE' , $prefixeTable . 'concours_result');



load_language('plugin.lang', CONCOURS_PATH);

include_once CONCOURS_INC_PATH.'Concours.class.php';
global $page, $template;


$concours = new Concours();

// Add concours to picture page
add_event_handler('loc_end_picture', array(&$concours, 'display_concours_to_picture')); 
// Add admin page
add_event_handler('get_admin_plugin_menu_links', array(&$concours, 'concours_admin_menu') );

// MenuBar 
add_event_handler('blockmanager_register_blocks', array(&$concours, 'register_blocks') );
add_event_handler('blockmanager_apply', array(&$concours, 'blockmanager_apply') );

add_event_handler('loc_end_section_init', array(&$concours, 'section_init_concours'));

add_event_handler('loc_end_index', array(&$concours, 'index_concours'));

// Add Global note under thumbnail
add_event_handler('loc_end_index_thumbnails', array(&$concours, 'thumbnail_note'), 50, 2);

// Add PWG Stuffs
add_event_handler('get_stuffs_modules', array(&$concours, 'concours_stuffs_module'));



/* +-----------------------------------------------------------------------+
 * | CSS/JS Style                                                          |
 * +-----------------------------------------------------------------------+ */
add_event_handler('loc_end_page_header', 'ConcoursPhoto_css_js');

function ConcoursPhoto_css_js() {
	global $template;
	
	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.CONCOURS_PATH . 'template/style.css">');
}




set_plugin_data($plugin['id'], $concours)

?>
